/*
 * Copyright 2018 NXP.
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*! @name PORTA18 (number 40), Y2[3]/EXTAL
  @{ */
#define BOARD_EXTAL12M_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_EXTAL12M_PIN 18U    /*!<@brief PORTA pin index: 18 */
                                  /* @} */

/*! @name PORTA19 (number 41), Y2[1]/XTAL
  @{ */
#define BOARD_XTAL12M_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_XTAL12M_PIN 19U    /*!<@brief PORTA pin index: 19 */
                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitOSCPins(void);

/*! @name EXTAL32 (number 27), Y1[1]/EXTAL32_RTC
  @{ */
/* @} */

/*! @name XTAL32 (number 26), Y1[2]/XTAL32_RTC
  @{ */
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitRTCPins(void);

#define SOPT5_LPUART0RXSRC_LPUART_RX 0x00u /*!<@brief LPUART 0 receive data source select: LPUART0_RX pin */
#define SOPT5_LPUART0TXSRC_LPUART_TX 0x00u /*!<@brief LPUART0 transmit data source select: LPUART0_TX pin */

/*! @name PORTB16 (number 51), J1[2]/Arduino_D0_UART0_RX/UART1_RX_TGTMCU
  @{ */
#define BOARD_DEBUG_UART_RX_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_DEBUG_UART_RX_PIN 16U    /*!<@brief PORTB pin index: 16 */
                                       /* @} */

/*! @name PORTB17 (number 52), J1[4]/Arduino_D1_UART0_TX/UART1_TX_TGTMCU
  @{ */
#define BOARD_DEBUG_UART_TX_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_DEBUG_UART_TX_PIN 17U    /*!<@brief PORTB pin index: 17 */
                                       /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UARTPins(void);

/*! @name PORTD0 (number 73), SW3
  @{ */
#define BOARD_SW3_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_SW3_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_SW3_PIN 0U     /*!<@brief PORTD pin index: 0 */
                             /* @} */

/*! @name PORTA4 (number 33), SW2
  @{ */
#define BOARD_SW2_GPIO GPIOA /*!<@brief GPIO device name: GPIOA */
#define BOARD_SW2_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_SW2_PIN 4U     /*!<@brief PORTA pin index: 4 */
                             /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitBUTTONsPins(void);

/*! @name PORTC0 (number 55), J4[6]/ADC0_SE14/Arduino_A2_ADC0_SE14/LEDRGB_BLUE
  @{ */
#define BOARD_LED_BLUE_GPIO GPIOC /*!<@brief GPIO device name: GPIOC */
#define BOARD_LED_BLUE_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_LED_BLUE_PIN 0U     /*!<@brief PORTC pin index: 0 */
                                  /* @} */

/*! @name PORTC1 (number 56), J1[8]/Arduino_D3/Arduino_D3_LED1/LEDRGB_RED
  @{ */
#define BOARD_LED_RED_GPIO GPIOC /*!<@brief GPIO device name: GPIOC */
#define BOARD_LED_RED_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_LED_RED_PIN 1U     /*!<@brief PORTC pin index: 1 */
                                 /* @} */

/*! @name PORTC2 (number 57), J1[12]/Arduino_D5/Arduino_D5_LED2/LEDRGB_GREEN
  @{ */
#define BOARD_LED_GREEN_GPIO GPIOC /*!<@brief GPIO device name: GPIOC */
#define BOARD_LED_GREEN_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_LED_GREEN_PIN 2U     /*!<@brief PORTC pin index: 2 */
                                   /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDsPins(void);

/*! @name USB0_DP (number 14), J11[3]/USB_DP
  @{ */
/* @} */

/*! @name USB0_DM (number 15), J11[2]/USB_DN
  @{ */
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitUSBPins(void);

/*! @name PORTB18 (number 53), E1[1]/TSI_CH11/FXIO_D6
  @{ */
#define BOARD_TSI_ELECTRODE_1_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_TSI_ELECTRODE_1_PIN 18U    /*!<@brief PORTB pin index: 18 */
                                         /* @} */

/*! @name PORTB19 (number 54), E2[1]/TSI_CH12/FXIO_D7
  @{ */
#define BOARD_TSI_ELECTRODE_2_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_TSI_ELECTRODE_2_PIN 19U    /*!<@brief PORTB pin index: 19 */
                                         /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitTSIPins(void);

/*! @name PORTE0 (number 1), U11[7]/QSPIA_DATA3
  @{ */
#define BOARD_QSPI0A_DATA3_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_QSPI0A_DATA3_PIN 0U     /*!<@brief PORTE pin index: 0 */
                                      /* @} */

/*! @name PORTE1 (number 2), U11[6]/QSPIA_SCLK
  @{ */
#define BOARD_QSPI0A_SCLK_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_QSPI0A_SCLK_PIN 1U     /*!<@brief PORTE pin index: 1 */
                                     /* @} */

/*! @name PORTE2 (number 3), U11[5]/QSPIA_DATA0
  @{ */
#define BOARD_QSPI0A_DATA0_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_QSPI0A_DATA0_PIN 2U     /*!<@brief PORTE pin index: 2 */
                                      /* @} */

/*! @name PORTE3 (number 4), U11[3]/QSPIA_DATA2
  @{ */
#define BOARD_QSPI0A_DATA2_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_QSPI0A_DATA2_PIN 3U     /*!<@brief PORTE pin index: 3 */
                                      /* @} */

/*! @name PORTE4 (number 7), U11[2]/QSPIA_DATA1
  @{ */
#define BOARD_QSPI0A_DATA1_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_QSPI0A_DATA1_PIN 4U     /*!<@brief PORTE pin index: 4 */
                                      /* @} */

/*! @name PORTE5 (number 8), U11[1]/QSPIA_SS
  @{ */
#define BOARD_QSPI0A_SS_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_QSPI0A_SS_PIN 5U     /*!<@brief PORTE pin index: 5 */
                                   /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitQSPIPins(void);

#define SOPT5_LPUART0RXSRC_LPUART_RX 0x00u /*!<@brief LPUART 0 receive data source select: LPUART0_RX pin */
#define SOPT5_LPUART0TXSRC_LPUART_TX 0x00u /*!<@brief LPUART0 transmit data source select: LPUART0_TX pin */

/*! @name PORTA1 (number 30), J24[3]/J1[11]/BLUETOOTH_UART1_RX/Arduino_SOF_OUT
  @{ */
#define BOARD_BLUETOOTH_UART0_RX_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_BLUETOOTH_UART0_RX_PIN 1U     /*!<@brief PORTA pin index: 1 */
                                            /* @} */

/*! @name PORTA2 (number 31), J1[13]/J24[4]/Arduino_I2S_RX_FS/BLUETOOTH_UART1_TX
  @{ */
#define BOARD_BLUETOOTH_UART0_TX_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_BLUETOOTH_UART0_TX_PIN 2U     /*!<@brief PORTA pin index: 2 */
                                            /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitBLUETOOTHPins(void);

/*! @name PORTD2 (number 75), J12[3]/U6[4]/Camera_I2C_SCL/I2C_SCL_FXOS8700CQ
  @{ */
#define BOARD_ACCEL_I2C_SCL_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_ACCEL_I2C_SCL_PIN 2U     /*!<@brief PORTD pin index: 2 */
                                       /* @} */

/*! @name PORTD3 (number 76), J12[4]/U6[6]/I2C0_SDA/Camera_I2C_SDA/I2C_SDA_FXOS8700CQ
  @{ */
#define BOARD_ACCEL_I2C_SDA_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_ACCEL_I2C_SDA_PIN 3U     /*!<@brief PORTD pin index: 3 */
                                       /* @} */

/*! @name PORTC13 (number 70), U6[11]/INT1_FXOS8700CQ_R/ACCEL_INT1
  @{ */
#define BOARD_ACCEL_INT1_GPIO GPIOC /*!<@brief GPIO device name: GPIOC */
#define BOARD_ACCEL_INT1_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_ACCEL_INT1_PIN 13U    /*!<@brief PORTC pin index: 13 */
                                    /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitACCELPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
